cURL
curl --request GET \
--url https://api.statista.ai/v1/search/consumer-insights \
--header 'x-api-key: <api-key>'import requests
url = "https://api.statista.ai/v1/search/consumer-insights"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.statista.ai/v1/search/consumer-insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"question_id": "<string>",
"indicator": "<string>",
"label": "<string>",
"question_type": "<string>",
"metadata": {
"min_year": 123,
"max_year": 123
},
"answers_subset": [
{
"answer_id": "<string>",
"label": "<string>",
"order": 123,
"code": 123
}
],
"total_answers": 123
}
]
}Consumer Insights
Search
GET
/
v1
/
search
/
consumer-insights
cURL
Semantically search in Consumer Insights survey data for questions and answers.
The results are grouped by question. If only an answer matches, the corresponding question is added to the result.
The search works best with short search terms that cover only one aspect, such as “gen z” or “headphone brands”.
Filtering by country can be done when the actual survey cross-table data is fetched, by providing a geo location.
Adding a country to the search query degrades result quality.
Authorizations
Query Parameters
The query string to search for.
Required string length:
1 - 1000The maximum number of search results returned.
Required range:
1 <= x <= 25Response
The request has succeeded.
Show child attributes
Show child attributes
Was this page helpful?